<?
// Wygenerowanie losowych adresów email do importu
for($i=0; $i<3; $i++) {
	//adres email
	$addressesObject[$i]['email'] = "test".$i."@gmail.com";
	$nr=rand(1,9);
	//losowa cecha
	$addressesObject[$i]['prop'.$nr] = $nr;
	//dopisz do grupy 35
	$addressesObject[$i]['groups'] = array(35);
	//ze statusem 8
	$addressesObject[$i]['status'] = 8;
}

// Wygenerowanie losowych adresów email do usunięcia z systemu
for($i=0; $i<3; $i++) {
	//adres email
	$deleteAddressesObject[$i]['email'] = "test".$i."@gmail.com";
}

// Informacje o grupie, którą tworzymy w systemie
$groupInfo = array(
	'id' = 10,
	'name' = 'GrupaTestowa',
	'short' = 'GT',
	'desc' = 'OpisGrupy',
);

/*
 * Import adresów email do bazy systemu
 */
try {
    $client = new SoapClient('https://ww4.enewsletter.pl/api/server.php?wsdl', array('local_cert' => "soap.pem"));
    $client->Login();
	$result = $client->ImportAddresses($addressesObject, "replace", true);
} catch (SoapFault $fault) {
    trigger_error("SOAP Fault: (faultcode: {$fault->faultcode}, faultstring: {$fault->faultstring})", E_USER_ERROR);
}
/*
 * Usuwanie adresów email z bazy systemu
 */
try {
    $client = new SoapClient('https://ww4.enewsletter.pl/api/server.php?wsdl', array('local_cert' => "soap.pem"));
    $client->Login();
	$result = $client->RemoveAddresses($deleteAddressesObject);
} catch (SoapFault $fault) {
    trigger_error("SOAP Fault: (faultcode: {$fault->faultcode}, faultstring: {$fault->faultstring})", E_USER_ERROR);
}
/*
 * Sprawdzenie grupy
 */
try {
    $client = new SoapClient('https://ww4.enewsletter.pl/api/server.php?wsdl', array('local_cert' => "soap.pem"));
    $client->Login();
	$groupID = 10;
	$result = $client->CheckGroup($groupID);
} catch (SoapFault $fault) {
    trigger_error("SOAP Fault: (faultcode: {$fault->faultcode}, faultstring: {$fault->faultstring})", E_USER_ERROR);
}
/*
 * Czyszczenie grupy
 */
try {
    $client = new SoapClient('https://ww4.enewsletter.pl/api/server.php?wsdl', array('local_cert' => "soap.pem"));
    $client->Login();
	$groupID = 10;
	$result = $client->ClearGroup($groupID);
} catch (SoapFault $fault) {
    trigger_error("SOAP Fault: (faultcode: {$fault->faultcode}, faultstring: {$fault->faultstring})", E_USER_ERROR);
}
/*
 * Utworzenie grupy o podanym ID w systemie
 */
try {
    $client = new SoapClient('https://ww4.enewsletter.pl/api/server.php?wsdl', array('local_cert' => "soap.pem"));
    $client->Login();
	$groupID = 10;
	$result = $client->CreateGroup($groupInfo);
} catch (SoapFault $fault) {
    trigger_error("SOAP Fault: (faultcode: {$fault->faultcode}, faultstring: {$fault->faultstring})", E_USER_ERROR);
}
/*
 * Zwrócenie z systemu tablicy numerów ID grup zdefiniowanych w systemie
 */
try {
    $client = new SoapClient('https://ww4.enewsletter.pl/api/server.php?wsdl', array('local_cert' => "soap.pem"));
    $client->Login();
	$result = $client->ListGroups();
} catch (SoapFault $fault) {
    trigger_error("SOAP Fault: (faultcode: {$fault->faultcode}, faultstring: {$fault->faultstring})", E_USER_ERROR);
}
/*
 * Usunięcie grupy o podanym ID z systemu
 */
try {
    $client = new SoapClient('https://ww4.enewsletter.pl/api/server.php?wsdl', array('local_cert' => "soap.pem"));
    $client->Login();
	$groupID = 10;
	$result = $client->RemoveGroup($groupID);
} catch (SoapFault $fault) {
    trigger_error("SOAP Fault: (faultcode: {$fault->faultcode}, faultstring: {$fault->faultstring})", E_USER_ERROR);
}
/*
 * Wysłanie maila transakcyjnego przez metodę Execute w SOAP
 */
try {
    $client = new SoapClient('https://ww4.enewsletter.pl/api/server.php?wsdl', array('local_cert' => "soap.pem"));
    $client->Login();
	$script = '<!--sare
	$email = "mojadres@gmail.com";
	
	$parametry = array();
	$parametry["subject"] = "Temat";
	$parametry["campaign"] = "CAMPAIGN_NAME";
	$parametry["from"] = \'"Test" <test@sare.pl>\';

	$contentHTML = "<html><head></head><body><h1>Treść wiadomości</h1></body></html>";
	$contentTXT = "Treść wiadomości";

	$ret = mail_send($email, $parametry, $contentHTML, $contentTXT);
	
	if ($ret) {
		print("ok");
	} else {
		print("error");
	}
	sare-->';
	$result = $client->Execute($script, false);
} catch (SoapFault $fault) {
    trigger_error("SOAP Fault: (faultcode: {$fault->faultcode}, faultstring: {$fault->faultstring})", E_USER_ERROR);
}